Bug 221768 - New Build on ODCS builder node in service opens the netbeans dialog instead of switching to web
New Build on ODCS builder node in service opens the netbeans dialog instead o...
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: ODCS
7.3
All All
: P3 (vote)
: 7.3
Assigned To: Jaroslav Havlin
issues@connecteddeveloper
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 22:12 UTC by Tomas Stupka
Modified: 2013-04-18 02:22 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Proposed Patch (7.88 KB, patch)
2012-12-20 14:17 UTC, Jaroslav Havlin
Details | Diff
Proposed Patch - Client (1.55 KB, patch)
2012-12-20 14:18 UTC, Jaroslav Havlin
Details | Diff
Proposed Patch v2 (7.98 KB, application/octet-stream)
2013-01-04 09:14 UTC, Jaroslav Havlin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2012-11-08 22:12:29 UTC
Product Version = NetBeans IDE Dev (Build 20121107-8a32d5144c55)
Operating System = Mac OS X version 10.8.2 running on x86_64
Java; VM; Vendor = 1.6.0_37
Runtime = Java HotSpot(TM) 64-Bit Server VM 20.12-b01-434

- logon to a odcs server
- open a project with a builder setup
- switch to services > hudson builders
- invoke ctx menu > new build ... => the netbeans native create build dialog is opened. This is different to how the 'New Build ..." action from the team dashboard works - it opens the hudson web interface in an external browser
Comment 1 Jaroslav Havlin 2012-12-20 14:17:21 UTC
Created attachment 129587 [details]
Proposed Patch

HudsonInstance.Persistence support for custom "New Job" action.
Comment 2 Jaroslav Havlin 2012-12-20 14:18:09 UTC
Created attachment 129589 [details]
Proposed Patch - Client
Comment 3 Jaroslav Havlin 2012-12-20 14:36:35 UTC
Please review this change in HudsonInstance.Persistence.

The API is not public (friend private), but if you are interested, you may have some comments or suggestions.
Comment 4 Jaroslav Havlin 2013-01-03 14:26:50 UTC
Unless there are any objections, I'll integrate tomorrow. Thanks.
Comment 5 Jaroslav Tulach 2013-01-03 19:09:18 UTC
Y01 New methods are missing @since 1.27
Y02 no change to apichanges.xml, but I guess they were missing...
Comment 6 Jaroslav Havlin 2013-01-04 09:14:34 UTC
Created attachment 129879 [details]
Proposed Patch v2

Y01 - Fixed, @since tags added, thank you.
Y02 - Yes, file apichanges.xml is missing.
      Is it a problem for non-public API?
Comment 7 Jaroslav Havlin 2013-01-07 14:54:35 UTC
The API change integrated as http://hg.netbeans.org/core-main/rev/557cf7cb13fa
Thank you.
Comment 8 Quality Engineering 2013-01-08 02:26:04 UTC
Integrated into 'main-golden', will be available in build *201301080001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/557cf7cb13fa
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #221768: Hudson supports custom New Job actions
Comment 9 Jaroslav Havlin 2013-01-08 13:08:25 UTC
http://hg.netbeans.org/core-main/rev/2b3f4094010e
Fixed.
Comment 10 Quality Engineering 2013-04-18 02:22:36 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2b3f4094010e
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #221768: New Build on ODCS builder node in services opens the netbeans dialog instead of switching to web


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo